Skip to content
Get started

List project members

GET/api/projects/{project_id}/memberships/

Memberships for a single project (nested under /api/projects/{project_id}/memberships/).

Path ParametersExpand Collapse
project_id: string
Query ParametersExpand Collapse
ordering: optional string

Which field to use when ordering the results.

page: optional number

A page number within the paginated result set.

ReturnsExpand Collapse
count: number
results: array of object { id, created_at, project, 3 more }
id: string
formatuuid
created_at: string
formatdate-time
project: string
formatuuid
updated_at: string
formatdate-time
user: number
user_email: string
formatemail
List project members
curl https://api.overmindlab.ai/api/projects/$PROJECT_ID/memberships/
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "user": 0,
      "user_email": "dev@stainless.com"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}
Returns Examples
{
  "count": 123,
  "results": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "project": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "user": 0,
      "user_email": "dev@stainless.com"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}